#include "testlib.h"
#include <iostream>

using namespace std;

void genrec(int n, vector<int> &cur, int maxC, vector<vector<int>> &arrays)
{
	if ((int)cur.size() == n)
	{
		arrays.push_back(cur);
		return;
	}
	for (int i = 0; i <= maxC; i++)
	{
		cur.push_back(i);
		genrec(n, cur, maxC, arrays);
		cur.pop_back();
	}
}

int main(int argc, char* argv[]) {
    registerGen(argc, argv, 1);

	int sumn = opt<int>("sumn");
	int n = opt<int>("n");
	int maxC = opt<int>("C");
	vector<vector<int>> arrays;
	vector<int> cur;
	genrec(n, cur, maxC, arrays);
	vector<pair<vector<int>, vector<int>>> tests;
	for (int i = 0; i < (int)arrays.size(); i++)
	{
		for (int j = 0; j < (int)arrays.size(); j++)
		{
			tests.push_back({arrays[i], arrays[j]});
		}
	}
	shuffle(tests.begin(), tests.end());
	int NT = min((int)tests.size(), sumn / n);
	println(NT);
	for (int T = 0; T < NT; T++)
	{
		println(n);
		println(tests[T].first);
		println(tests[T].second);
	}
}
