#include <bits/stdc++.h>

using namespace std;

#ifdef LOCAL
    #define eprintf(...) fprintf(stderr, __VA_ARGS__)
#else
    #define eprintf(...) 42
#endif

using ll = long long;
using ld = long double;
using D = double;
using uint = unsigned int;
template<typename T>
using pair2 = pair<T, T>;
using pii = pair<int, int>;
using pli = pair<ll, int>;
using pll = pair<ll, ll>;

#define pb push_back
#define mp make_pair
#define all(x) (x).begin(),(x).end()
#define fi first
#define se second

map<vector<pair2<int>>, int> was;

bool go(vector<pair2<int>> state)
{
	sort(all(state), greater<pair2<int>>());
	while (!state.empty() && state.back() == make_pair(0, 0)) state.pop_back();
	if ((int)state.size() <= 1) return true;
	int &ans = was[state];
	if (ans != 0) return ans == 2;
	int m = (int)state.size();
	bool found = false;
	for (int i = 0; i < m; i++)
	{
		for (int j = 0; j < m; j++) if (i != j)
		{
			if (state[i].fi > 0 && state[j].fi > 0)
			{
				auto newstate = state;
				newstate[i].fi--;
				newstate[j].fi--;
				found |= go(newstate);
				if (found)
				{
					ans = 2;
					return true;
				}
			}
			if (state[i].fi > 0 && state[j].se > 0)
			{
				auto newstate = state;
				newstate[i].fi--;
				newstate[j].se--;
				found |= go(newstate);
				if (found)
				{
					ans = 2;
					return true;
				}
			}
		}
	}
	ans = 1;
	return false;
}

void solve()
{
	int n;
	scanf("%d", &n);
	vector<pair2<int>> init(n);
	for (int i =0 ; i < n; i++) scanf("%d", &init[i].fi);
	for (int i =0 ; i < n; i++) scanf("%d", &init[i].se);
	bool ans = go(init);
	if (ans) printf("YES\n");
	else printf("NO\n");
}

int main()
{
	int NT;
	scanf("%d", &NT);
	for (int T = 0; T < NT; T++)
	{
		solve();
	}
    return 0;
}
