// Generator created by Nikolay Budin

#ifdef DEBUG
#  define _GLIBCXX_DEBUG
#endif
#include <bits/stdc++.h>
#include <ext/pb_ds/assoc_container.hpp>
#include "testlib.h"
#define ff first
#define ss second
#define szof(x) ((int)x.size())
#ifndef LOCAL
#  define cerr __get_ce
#endif

using namespace std;
typedef long long ll;
typedef long double ld;
typedef pair<int, int> pii;
typedef unsigned long long ull;

using namespace __gnu_pbds;
template <typename T> using ordered_set = tree<T, null_type, less<T>, rb_tree_tag, tree_order_statistics_node_update>;
template <typename K, typename V> using ordered_map = tree<K, V, less<K>, rb_tree_tag, tree_order_statistics_node_update>;

int const INF = (int)1e9 + 1e3;
ll const INFL = (ll)1e18 + 1e6;


int main(int argc, char* argv[]) {
	registerGen(argc, argv, 1);

	int n = 1000;

	vector<vector<int>> field(n, vector<int>(n, -1));
	int x = 0;
	for (int cur_len = 1000; ; --cur_len) {
		for (int end1 = 0; end1 <= 2; ++end1) {
			for (int end2 = 0; end2 <= 2; ++end2) {
				int y = 0;
				if (end1) {
					field[x][y] = field[x + 1][y] = 2;
					if (end1 == 2) {
						++y;
					}
				}
				int len = cur_len - (end1 == 2) - (end2 == 2);
				bool type = 0;
				for (int i = 0; i < len - 1; ++i) {
					if (type == 0) {
						field[x + 2][y] = field[x + 2][y + 1] = 1;
					} else {
						field[x][y] = field[x][y + 1] = 3;
					}
					++y;
					type = !type;
				}

				if (end2) {
					if (end2 == 2) {
						++y;
					}
					if (type == 0) {
						field[x + 1][y] = field[x + 2][y] = 0;
					} else {
						field[x][y] = field[x + 1][y] = 0;
					}
				}
				
				++y;

				if (1000 - cur_len >= 3) {
					if (end1) {
						field[x][y] = field[x + 1][y] = 2;
						if (end1 == 2) {
							++y;
						}
					}
					len = 1000 - cur_len - (end1 == 2) - (end2 == 2);
					type = 0;
					for (int i = 0; i < len - 1; ++i) {
						if (type == 0) {
							field[x + 2][y] = field[x + 2][y + 1] = 1;
						} else {
							field[x][y] = field[x][y + 1] = 3;
						}
						++y;
						type = !type;
					}

					if (end2) {
						if (end2 == 2) {
							++y;
						}
						if (type == 0) {
							field[x + 1][y] = field[x + 2][y] = 0;
						} else {
							field[x][y] = field[x + 1][y] = 0;
						}
					}
				}

				x += 3;
				if (x + 3 > n) {
					break;
				}
			}
			if (x + 3 > n) {
				break;
			}
		}
		if (x + 3 > n) {
			break;
		}
	}

	cout << n << " " << n << "\n";
	for (int i = 0; i < n; ++i) {
		for (int j = 0; j < n; ++j) {
			if (field[i][j] == -1) {
				cout << '.';
			} else {
				cout << field[i][j];
			}
		}
		cout << "\n";
	}

	return 0;
}