/**
 * Sergey Kopeliovich (burunduk30@gmail.com)
 */

#include "testlib.h"

#include <vector>
#include <cassert>

using namespace std;

const int64_t MAX_W = 1e12;
const int MAX_A = 1e6;
const int MAX_N = 1e5;

int main(int, char *[]) {
	registerValidation();

	int tn = inf.readInt();
	inf.readEoln();
	ensure(tn >= 1);
	int sum_n = 0;

	while (tn--) {
		int n = inf.readInt(1, MAX_N, "n");
		sum_n += n;
		inf.readSpace();
		inf.readLong(1LL, MAX_W, "W");
		inf.readEoln();
		while (n--) {
			inf.readLong(1LL, MAX_A, "w_i");
			inf.readSpace();
			inf.readLong(1LL, MAX_A, "cost_i");
			inf.readEoln();
		}
	}
	ensure(sum_n <= MAX_N);
	inf.readEof();
}
