/**
 * Sergey Kopeliovich (burunduk30@gmail.com)
 */

#include <bits/stdc++.h>

using namespace std;

#define forn(i, n) for (int i = 0; i < (int)(n); i++)
#define all(a) a.begin(), a.end()

void solve() {
	int n0, n = 0;
	int64_t W;
	cin >> n0 >> W;
	struct Item {
		int w, cost, id;
	};
	vector<Item> a(n0);
	forn(i, n0) {
		cin >> a[n].w >> a[n].cost, a[n].id = i;
		if (a[n].w <= W)
			n++;
	}
	a.resize(n);

	sort(all(a), [](auto a, auto b) {
		return (int64_t)a.cost * b.w > (int64_t)b.cost * a.w;
	});

	int64_t sum_w = 0;
	vector<int> ans;
	for (auto it : a)
		if (sum_w + it.w <= 3 * W / 2)
			sum_w += it.w, ans.push_back(it.id);

	cout << ans.size() << "\n";
	for (int i : ans)
		cout << i + 1 << " ";
	cout << "\n";
}

int main() {
	ios_base::sync_with_stdio(0), cin.tie(0);

	int tn;
	cin >> tn;
	while (tn--)
		solve();
}
