#include <bits/stdc++.h>
using namespace std;

typedef long long int64;

bool debug = true;
    
int main() {
    int n, k;
    cin >> n >> k;
    int N = max(n, k);

    vector<vector<int64>> ch(2 * N + 1, vector<int64>(2 * N + 1));
    ch[0][0] = 1;
    for (int i = 1; i <= 2 * N; i++) {
        ch[i][0] = 1;
        for (int j = 1; j <= 2 * N; j++) {
            ch[i][j] = ch[i - 1][j - 1] + ch[i - 1][j];
        }
    }

    vector<vector<int64>> a(n + 1, vector<int64>(n + 1));
    fill(a[0].begin(), a[0].end(), 1);
    for (int i = 1; i <= n; i++) {
        for (int j = 1; j <= n; j++) {
            for (int t = 0; t * j <= i; t++) {
                a[i][j] += a[i - t * j][j - 1] * ch[t + k - 1][k - 1];
            }
        }
    }

    cout << a[n][n] << endl;

    return 0;
}
