// Generator created by Nikolay Budin

#ifdef DEBUG
#  define _GLIBCXX_DEBUG
#endif
#include <bits/stdc++.h>
#include <ext/pb_ds/assoc_container.hpp>
#include "testlib.h"
#define ff first
#define ss second
#define szof(x) ((int)x.size())

using namespace std;
typedef long long ll;
typedef long double ld;
typedef pair<int, int> pii;
typedef unsigned long long ull;

using namespace __gnu_pbds;
template <typename T> using ordered_set = tree<T, null_type, less<T>, rb_tree_tag, tree_order_statistics_node_update>;
template <typename K, typename V> using ordered_map = tree<K, V, less<K>, rb_tree_tag, tree_order_statistics_node_update>;

int const INF = (int)1e9 + 1e3;
ll const INFL = (ll)1e18 + 1e6;


int main(int argc, char* argv[]) {
	registerGen(argc, argv, 1);

	int n = 1000;

	int q = opt<int>(1);
	int from = opt<int>(2);
	int to = opt<int>(3);

	int sz = n / (q + 2);

	vector<vector<int>> field(n, vector<int>(n, -1));

	vector<vector<int>> part(q, vector<int>(q, -1));

	int px = 0, py = 0;
	int cnt = 0;

	function<void(int, int)> rec = [&](int x, int y) {
		if (y == q) {
			y = 0;
			++x;
		}
		if (x == q) {
			if (*max_element(part[0].begin(), part[0].end()) == -1) {
				return;
			}
			{
				int tmp = -1;
				for (int i = 0; i < q; ++i) {
					tmp = max(tmp, part[i][0]);
				}
				if (tmp == -1) {
					return;
				}
			}
			{
				int tmp = -1;
				for (int i = 0; i < q; ++i) {
					tmp = max(tmp, part[i][q - 1]);
					tmp = max(tmp, part[q - 1][i]);
				}
				if (tmp == -1) {
					return;
				}
			}
			if (from <= cnt && cnt < to) {
				assert(px < sz);
				for (int i = 0; i < q; ++i) {
					for (int j = 0; j < q; ++j) {
						field[(q + 2) * px + 1 + i][(q + 2) * py + 1 + j] = part[i][j];
					}
				}
				++py;
				if (py == sz) {
					py = 0;
					++px;
				}
			}
			++cnt;
			return;
		}

		rec(x, y + 1);
		if (part[x][y] == -1) {
			for (int t = 0; t < 4; ++t) {
				int ox = x, oy = y;
				if (t == 0 || t == 2) {
					++ox;
				} else {
					++oy;
				}
				if (ox < q && oy < q && part[ox][oy] == -1) {
					part[x][y] = part[ox][oy] = t;
					rec(x, y + 1);
					part[x][y] = part[ox][oy] = -1;
				}
			}
		}
	};

	rec(0, 0);

	cerr << cnt << endl;

	cout << n << " " << n << "\n";
	for (int i = 0; i < n; ++i) {
		for (int j = 0; j < n; ++j) {
			if (field[i][j] == -1) {
				cout << '.';
			} else {
				cout << field[i][j];
			}
		}
		cout << "\n";
	}

	return 0;
}