#include <iostream>

using namespace std;

unsigned int sequence(unsigned long long value) {
    unsigned int cnt = 0, result = 0;
    unsigned int last = 11;

    while (value > 0) {
        unsigned int digit = value % 10;
        value /= 10;
        if (digit == last) {
            cnt++;
        } else {
            result = max(result, cnt);
            cnt = 1;
            last = digit;
        }
    }

    result = max(result, cnt);
    return result;
}

int main() {

    int tests;
    for (cin >> tests; tests > 0; tests--) {
        unsigned long long l, r;
        cin >> l >> r;

        unsigned int x = 0, cnt = 0;
        for (unsigned long long t = l; t <= r; t++) {
            unsigned int seq = sequence(t);
            if (seq > x) {
                x = seq;
                cnt = 1;
            } else if (seq == x) {
                cnt++;
            }
        }

        cout << x << ' ' << cnt << '\n';
    }

}