/**
 * Sergey Kopeliovich (burunduk30@gmail.com)
 */

#include <bits/stdc++.h>

using namespace std;

#define forn(i, n) for (int i = 0; i < (int)(n); i++)
#define all(a) a.begin(), a.end()

void solve() {
	int n0, n = 0;
	int64_t W;
	cin >> n0 >> W;
	struct Item {
		int w, cost, id;
	};
	vector<Item> a(n0);
	forn(i, n0) {
		cin >> a[n].w >> a[n].cost, a[n].id = i;
		if (a[n].w <= W)
			n++;
	}
	a.resize(n);

	sort(all(a), [](auto a, auto b) {
		return a.w < b.w;
	});

	vector<int> ids, ans;
	int64_t best = 0;
	function<void(int, int64_t, int64_t)> go = [&](int i, int64_t sum_w, int64_t sum_cost) {
		if (i == n || sum_w + a[i].w > W) {
			if (best < sum_cost)
				best = sum_cost, ans = ids;
			return;
		}
		go(i + 1, sum_w, sum_cost);
		ids.push_back(a[i].id);
		go(i + 1, sum_w + a[i].w, sum_cost + a[i].cost);
		ids.pop_back();
	};
	go(0, 0, 0);

	cout << ans.size() << "\n";
	for (int i : ans)
		cout << i + 1 << " ";
	cout << "\n";
}

int main() {
	ios_base::sync_with_stdio(0), cin.tie(0);

	int tn;
	cin >> tn;
	while (tn--)
		solve();
}
